package com.jnssd.controller;

import com.jnssd.model.Menu;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <h3>spring-boot-openapi</h3>
 * <p>菜单</p>
 *
 * @author zxj
 * @since 2023-10-12 16:33:23
 */
@RestController("menu")
public class MenuController {

    List<Menu> list = new java.util.ArrayList<>();

    public ResponseEntity<List<Menu>> getAll() {
        return ResponseEntity.ok(list);
    }

    // 添加方法
    @PostMapping("add")
    public ResponseEntity<Menu> add(Menu entity) {
        list.add(entity);
        return ResponseEntity.ok(entity);
    }

    // 添加方法
    @PostMapping("update")
    public ResponseEntity<Menu> update(Menu entity) {

        return null;
    }

    // 删除方法
    @PostMapping("delete")
    public ResponseEntity<Menu> delete(Menu entity) {

        return null;
    }

    // 查询方法
    @PostMapping("query")
    public ResponseEntity<List<Menu>> query(Menu entity) {
        return null;
    }
}
